diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
index fc5af27e..6c48b67f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
@@ -12,63 +12,68 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.\
+from pgadmin.browser.server_groups.servers.databases. \
     foreign_data_wrappers.tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class UserMappingAddTestCase(BaseTestGenerator):
-    """This class will add user mapping under foreign server node."""
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for user mapping node.
-        ('Check user mapping Node', dict(url='/browser/user_mapping/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(UserMappingAddTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-
-    def runTest(self):
-        """This function will update foreign server present under test
-        database. """
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
+@pytest.mark.skip_databases(['gpdb'])
+class TestUserMappingAdd:
+    def test_user_mapping_add(self, request, context_of_tests):
+        """
+        When sending an HTTP request
+        to add a user mapping under foreign server node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/user_mapping/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data['db_name']
+        schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
+        fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
+        fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         fsrv_name, fdw_name)
+
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
         db_user = self.server["username"]
         data = {"name": db_user,
                 "um_options": [],
@@ -82,18 +87,19 @@ class UserMappingAddTestCase(BaseTestGenerator):
                         "umvalue": self.server["db_password"]
                     }
                 ]}
+
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(
                 self.db_id) +
-            '/' + str(self.fdw_id) + '/' + str(self.fsrv_id) + '/',
+            '/' + str(fdw_id) + '/' + str(fsrv_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
index a75d6e83..7d34be4f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
@@ -11,80 +11,85 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as um_utils
 
 
-class UserMappingDeleteTestCase(BaseTestGenerator):
-    """This class will delete user mapping under foreign server node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for user mapping node.
-        ('Check user mapping Node', dict(url='/browser/user_mapping/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(UserMappingDeleteTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-        self.um_id = um_utils.create_user_mapping(self.server, self.db_name,
-                                                  self.fsrv_name)
-
-    def runTest(self):
-        """This function will delete user mapping present under test
-         database. """
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
-        um_response = um_utils.verify_user_mapping(self.server, self.db_name,
-                                                   self.fsrv_name)
-        if not um_response:
-            raise Exception("Could not find user mapping.")
+@pytest.mark.skip_databases(['gpdb'])
+class TestUserMappingDelete:
+    def test_user_mapping_delete(self, request, context_of_tests):
+        """
+        When sending an HTTP request
+        to delete a user mapping under foreign server node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/user_mapping/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data['db_name']
+        schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
+        fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
+        fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         fsrv_name, fdw_name)
+        um_id = um_utils.create_user_mapping(self.server, self.db_name,
+                                             fsrv_name)
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
+        um_utils.verify_user_mapping(
+            self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find user mapping.')
+
         delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.fdw_id) + '/' +
-            str(self.fsrv_id) + '/' + str(self.um_id),
+            '/' + str(fdw_id) + '/' +
+            str(fsrv_id) + '/' + str(um_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+
+        delete_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
index 5e4e78c1..c92e2d52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
@@ -11,37 +11,41 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as um_utils
 
 
-class UserMappingGetTestCase(BaseTestGenerator):
-    """This class will add user mapping under foreign server node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for user mapping node.
-        ('Check user mapping Node', dict(url='/browser/user_mapping/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestUserMappingGet:
+    def test_user_mapping_get(self, request, context_of_tests):
+        """
+        When sending an HTTP request
+        to add a user mapping under foreign server node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(UserMappingGetTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
+        url = '/browser/user_mapping/obj/'
+
+        self.schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
         self.server_id = self.schema_data['server_id']
         self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.db_name = self.schema_data['db_name']
         self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
+        self.extension_name = 'cube'
         self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
         self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
         self.extension_id = extension_utils.create_extension(
@@ -52,34 +56,35 @@ class UserMappingGetTestCase(BaseTestGenerator):
                                               self.fsrv_name, self.fdw_name)
         self.um_id = um_utils.create_user_mapping(self.server, self.db_name,
                                                   self.fsrv_name)
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
 
-    def runTest(self):
-        """This function will update foreign server present under test
-        database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, self.fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, self.fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
+        response = self.tester.get(url + str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id) + '/' + str(
             self.db_id) + '/' + str(self.fdw_id) + '/' + str(
             self.fsrv_id) + '/' + str(
             self.um_id), content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
index 025b571a..95974a36 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
@@ -12,72 +12,76 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     foreign_servers.tests import utils as fsrv_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as um_utils
 
 
-class UserMappingPutTestCase(BaseTestGenerator):
-    """This class will update user mapping under foreign server node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for user mapping node.
-        ('Check user mapping Node', dict(url='/browser/user_mapping/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(UserMappingPutTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
+@pytest.mark.skip_databases(['gpdb'])
+class TestUserMappingPut:
+    def test_user_mapping_put(self, request, context_of_tests):
+        """
+        When sending an HTTP request
+        to put a user mapping under foreign server node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/user_mapping/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data["db_name"]
+        schema_name = schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-        self.um_id = um_utils.create_user_mapping(self.server, self.db_name,
-                                                  self.fsrv_name)
-
-    def runTest(self):
-        """This function will update foreign server present under test
-        database"""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server,
-                                               self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
-        um_response = um_utils.verify_user_mapping(self.server, self.db_name,
-                                                   self.fsrv_name)
-        if not um_response:
-            raise Exception("Could not find user mapping.")
+        fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
+        fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         fsrv_name, fdw_name)
+        um_id = um_utils.create_user_mapping(self.server, self.db_name,
+                                             fsrv_name)
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
+        um_utils.verify_user_mapping(
+            self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find user mapping.')
+
         data = {
-            "id": self.um_id,
+            "id": um_id,
             "umoptions":
                 {
                     "changed":
@@ -88,18 +92,19 @@ class UserMappingPutTestCase(BaseTestGenerator):
                         ]
                 }
         }
+
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.fdw_id) + '/' +
-            str(self.fsrv_id) + '/' + str(self.um_id),
+            '/' + str(fdw_id) + '/' +
+            str(fsrv_id) + '/' + str(um_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+
+        put_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added
-        extension and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/__init__.py
index c78ade34..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class FDWGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return []
